import { PickerItemProps, PickerProps } from '@react-native-picker/picker/typings/Picker';
export declare type ValueMap = {
    hours: number;
    minutes: number;
    seconds: number;
    ampm?: 'am' | 'pm' | undefined;
};
export interface TimePickerProps extends PickerProps {
    defaultValue?: Partial<ValueMap>;
    value?: ValueMap;
    onChange?: (newValue: ValueMap) => void;
    hoursUnit?: string;
    minutesUnit?: string;
    secondsUnit?: string;
    zeroPadding?: boolean;
    textColor?: PickerItemProps['color'];
    hoursInterval?: number;
    minutesInterval?: number;
    secondsInterval?: number;
    pickerShows?: Array<'hours' | 'minutes' | 'seconds'>;
    emptyLabel?: string;
    isAmpm?: boolean;
    ampmLocalization?: {
        am: string;
        pm: string;
    };
}
export declare function TimePicker({ defaultValue, value, onChange, hoursUnit, minutesUnit, secondsUnit, zeroPadding, textColor, hoursInterval, minutesInterval, secondsInterval, pickerShows, emptyLabel, isAmpm, ampmLocalization, ...others }: TimePickerProps): JSX.Element;
